require( "scripts/style.lua" );

TextStyle=
{
	parent=DialogBodyText,
	x=0,y=146,w=kMax,h=kMax-80
};


MakeDialog
{
	name="SphinxRiddles",
	
	SphinxRiddles
		{
			x=0,
			y=0,
			w=1024,
			h=768,
			rows=gRows,
			columns=gColumns,
			
		},
		

		Text
			{
			font = SceneTempFont,
			name = "sphinxriddles",
			align=kHAlignLeft + kVAlignTop,
			AppendStyle{ font = { standardFont, size, Color(255,255,255,255)} },
			x=-1,y=-1,
			w=kMax-20,h=kMax,
			flags=kHAlignCenter+kVAlignCenter,
			label="sphinxriddles",
			},
	
	SetStyle(ButtonStyle),
		Button
			{
				label="back",
				name="back",
				cancel=true,
				close = (true);
				align=kHAlignLeft+kVAlignBottom,
				x=20,y=kMax-20,
				command=function() 
				end;
			},

}
